# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit desktop pax-utils

MY_PN="${PN/-bin}"
MY_P=${MY_PN}-${PV}

DESCRIPTION="A high-performance, multiplayer code editor"
HOMEPAGE="https://zed.dev"

SRC_URI="
	amd64? ( https://github.com/zed-industries/zed/releases/download/v${PV}/zed-linux-x86_64.tar.gz -> ${MY_P}-amd64.tar.gz )
	"
RESTRICT="mirror strip bindist"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="
	>=media-libs/libpng-1.2.46
	>=x11-libs/gtk+-2.24.8-r1:2
	x11-libs/cairo
"

RDEPEND="
	${DEPEND}
"

DOCS=( )

QA_PRESTRIPPED="opt/${MY_PN}/bin"
QA_SONAME="opt/${MY_PN}/lib"

pkg_setup(){
	use amd64 && S="${WORKDIR}/zed.app"
}

src_install(){
	pax-mark m code
	mkdir -p "${D}/opt/${MY_PN}"
	cp -r . "${D}/opt/${MY_PN}/"
	dosym "/opt/${MY_PN}/bin/zed" "/usr/bin/zedit"
	make_desktop_entry "${MY_PN}" "Zed Editor" "${MY_PN}" "Utility;TextEditor;Development;IDE"
	newicon "${S}/share/icons/hicolor/512x512/apps/zed.png" ${MY_PN}.png
	einstalldocs
}

